#include <stdio.h>
#include <ctype.h>
#include <string.h>

#define SIZE 25

int
main()
{
	char string[SIZE];
	fgets(string, SIZE, stdin );

	for(int i = 0; i < strlen(string); i++)
	{
		printf("%c)[%d]", string[i], i);
		if(isascii(string[i]))
			printf("is ascii ");
		else{
			printf("is non-ascii ");
			continue;
		}
		if(isprint(string[i])){
			printf("printable ");
		}else
			printf("non-printable");
		if(isblank(string[i]))
			printf("blank");
		else if(isdigit(string[i]))
			printf("digit");
		else if(islower(string[i]))
			printf("lower case letter");
		else if(isupper(string[i]))
			printf("upper case letter");
		printf(" character № %d in ascii table", string[i]);
		putchar('\n');
	}
	return 0;
}
